# Neovim Config
This is my personal Neovim configuration. I use neovim as my daily driver text
editor and for all my code editing. Becaue of this, I have a lot of features
traditionally found in an IDE installed through plugins.

### Requirements
Git is required to install and update plugins. For more information, see
[packer.nvim's project page][packer-url].

Because this config is written in [Fennel][fennel-url] (a Lisp dialect that
compiles to Lua), you need that installed as well.

### Use
To use this config, clone this repo into your `~/.config/nvim` folder. The first
time you launch it, [packer.nvim][packer-url] and
[tangerine.nvim][tangerine-url] will be
bootstrapped. All the other plugins will then be auto downloaded.

### Rationale
The `init.lua` file should include only the code nessesary to bootstrap packer and
tangerine. Other than that, all code should go in `init.fnl` and the `fnl/`
directory.

[packer-url]: https://github.com/wbthomason/packer.nvim
[tangerine-url]: https://github.com/udayvir-singh/tangerine.nvim
[fennel-url]: https://fennel-lang.org/
